pfodParser 3.55.0 The pfodParser library is handles commands sent from the Android pfodApp, pfodApp supports WiFi, BLE, Bluetooth and SMS connections

Public Member Functions | List of all members
pfodLabel Class Reference

`#include <pfodLabel.h>`

Inherits pfodDwgsBase.

## Public Member Functions
| pfodLabel ()
pfodLabel & | text (const char *txt)
pfodLabel & | text (const __FlashStringHelper *txtF)
pfodLabel & | units (const char *txt)
pfodLabel & | units (const __FlashStringHelper *txtF)
pfodLabel & | floatReading (float value)
pfodLabel & | intValue (int32_t _value)
pfodLabel & | displayMax (float _displayMax)
pfodLabel & | displayMin (float _displayMin)
pfodLabel & | maxValue (int32_t _max)
pfodLabel & | minValue (int32_t _min)
pfodLabel & | decimals (int _decPlaces)
pfodLabel & | color (int _color)
pfodLabel & | fontSize (int _font)
pfodLabel & | bold ()
pfodLabel & | center ()
pfodLabel & | left ()
pfodLabel & | right ()
pfodLabel & | italic ()
pfodLabel & | underline ()
pfodLabel & | encode ()
pfodLabel & | idx (uint16_t _idx)
pfodLabel & | autoIdx (pfodAutoIdx &a_idx)
pfodLabel & | offset (float _colOffset, float _rowOffset)
void | init (Print *out, struct VALUES *_values)
void | send (char _startChar='|')
Public Member Functions inherited from pfodDwgsBase
void | printFloatNumber (float f)

## Additional Inherited Members
Public Attributes inherited from pfodDwgsBase
Print * | out
Static Public Attributes inherited from pfodDwgsBase
static const int | BLACK_WHITE = -1
static const int | BLACK = 0
static const int | MAROON = 1
static const int | GREEN = 2
static const int | OLIVE = 3
static const int | NAVY = 4
static const int | PURPLE = 5
static const int | TEAL = 6
static const int | SILVER = 7
static const int | GREY = 8
static const int | RED = 9
static const int | LIME = 10
static const int | YELLOW = 11
static const int | BLUE = 12
static const int | FUCHSIA = 13
static const int | MAGENTA = FUCHSIA
static const int | AQUA = 14
static const int | WHITE = 15
static const int | TOUCH = 0
static const int | DOWN = 1
static const int | DRAG = 2
static const int | UP = 4
static const int | CLICK = 8
static const int | PRESS = 16
static const int | ENTRY = 32
static const int | EXIT = 64
static const int | DOWN_UP = 256
static const int | TOUCH_DISABLED = 512
static const uint16_t | TOUCHED_COL = 65534
static const uint16_t | TOUCHED_ROW = 65532
static const uint16_t | TOUCHED_X = 65534
static const uint16_t | TOUCHED_Y = 65532
Protected Member Functions inherited from pfodDwgsBase
void | startText ()
void | encodeText (Print *out, uint8_t encodeOutput, const char *cPtr)
void | encodeText (Print *out, uint8_t encodeOutput, const __FlashStringHelper *ifsh)
void | encodeChar (Print *out, uint8_t encodeOutput, char c)
void | printFloat (float f)
void | printFloatDecimals (float f, int decPlaces)
void | sendColRowVars (float val)
void | printColor ()
void | printTextFormatsWithBkgndColor ()
void | printIdx ()
void | colRowOffset ()
void | colWidthHeight ()
void | initValues (struct VALUES *_valuesPtr)
| pfodDwgsBase ()
int | getAutoIdx (uint16_t &idx)
Protected Attributes inherited from pfodDwgsBase
struct VALUES * | valuesPtr

## Detailed Description

Definition at line 14 of file pfodLabel.h.

## Constructor & Destructor Documentation

## ◆ pfodLabel()

pfodLabel::pfodLabel | ( |  | ) |

## Member Function Documentation

## ◆ autoIdx()

pfodLabel& pfodLabel::autoIdx | ( | pfodAutoIdx & | a_idx | ) |

## ◆ bold()

pfodLabel& pfodLabel::bold | ( |  | ) |

## ◆ center()

pfodLabel& pfodLabel::center | ( |  | ) |

## ◆ color()

pfodLabel& pfodLabel::color | ( | int | _color | ) |

## ◆ decimals()

pfodLabel& pfodLabel::decimals | ( | int | _decPlaces | ) |

## ◆ displayMax()

pfodLabel& pfodLabel::displayMax | ( | float | _displayMax | ) |

## ◆ displayMin()

pfodLabel& pfodLabel::displayMin | ( | float | _displayMin | ) |

## ◆ encode()

pfodLabel& pfodLabel::encode | ( |  | ) |

## ◆ floatReading()

pfodLabel& pfodLabel::floatReading | ( | float | value | ) |

## ◆ fontSize()

pfodLabel& pfodLabel::fontSize | ( | int | _font | ) |

## ◆ idx()

pfodLabel& pfodLabel::idx | ( | uint16_t | _idx | ) |

## ◆ init()

void pfodLabel::init | ( | Print * | out,
|  | struct VALUES * | _values
| ) |  |

## ◆ intValue()

pfodLabel& pfodLabel::intValue | ( | int32_t | _value | ) |

## ◆ italic()

pfodLabel& pfodLabel::italic | ( |  | ) |

## ◆ left()

pfodLabel& pfodLabel::left | ( |  | ) |

## ◆ maxValue()

pfodLabel& pfodLabel::maxValue | ( | int32_t | _max | ) |

## ◆ minValue()

pfodLabel& pfodLabel::minValue | ( | int32_t | _min | ) |

## ◆ offset()

pfodLabel& pfodLabel::offset | ( | float | _colOffset,
|  | float | _rowOffset
| ) |  |

## ◆ right()

pfodLabel& pfodLabel::right | ( |  | ) |

## ◆ send()

void pfodLabel::send | ( | char | _startChar = `'|'` | ) |
| virtual

Reimplemented from pfodDwgsBase.

## ◆ text() [1/2]

pfodLabel& pfodLabel::text | ( | const __FlashStringHelper * | txtF | ) |

## ◆ text() [2/2]

pfodLabel& pfodLabel::text | ( | const char * | txt | ) |

## ◆ underline()

pfodLabel& pfodLabel::underline | ( |  | ) |

## ◆ units() [1/2]

pfodLabel& pfodLabel::units | ( | const __FlashStringHelper * | txtF | ) |

## ◆ units() [2/2]

pfodLabel& pfodLabel::units | ( | const char * | txt | ) |